Bug 115923 - updateref cannot tell client that START_TLS is required for talking with master
updateref cannot tell client that START_TLS is required for talking with master
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 22:11 EST by Phil Hagen
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:38:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Hagen 2004-02-16 22:11:02 EST
Description of problem:
When a slave LDAP server passes the "updateref" URI to the client,
there is no apparent way to inform the client to use encryption via
the START_TLS directive.  using an ldap:// URI causes the client to
send its bind credentials in the clear via port 389.  While using an
ldaps:// URI causes the client to start an SSL connection before
sending any LDAP protocol traffic, this requires an extra port to be
opened in any intermediary firewalls.  Additionally, since the
ldaps:// method appears to be on its way to deprecation, a suitable
replacement should be supported ASAP to ensure future compatibility.

Version-Release number of selected component (if applicable):
2.0.27-8

How reproducible:
Always.

Steps to Reproduce:
1. Create a master LDAP server with TLS support.  Require SSL
transactions with "security tls=128 ssf=128" in slapd.conf.
2. Create a slave LDAP server and verify proper replication.  Ensure
that replication is occuring only via START_TLS using ethereal or
similar application.
3. Configure an LDAP client system with authconfig, pointing it only
to the slave LDAP server.  Verify proper LDAP polling with getent or a
similar utility, and ensure START_TLS is being issued by the client.
4. Attempt to change user's LDAP password via passwd.
  
Actual results:
Password will not change.  Error message is displayed stating that
credentials could not be properly established, and were not changed.
A review of an ethereal capture shows that although client connects to
master server as expected, the BINDDN credentials are passed in the
clear, followed by an "encryption required" message from the master
server.

Expected results:
Client should either receive direction from the slave server to use
TLS mode when transacting with the master server, or take direction
from the client system's ldap.conf file indicating that START_TLS
should be used.

Additional info:
I also verified that this occured by using a third-party LDAP
administration tool (directory administrator -
http://diradmin.open-it.org/index.php), as well as GQ.  I don't have
access to the verbatim error messages right now (not presently at the
work systems where this is configured), but I can post them later if
needed.
Comment 1 Bill Nottingham 2006-08-04 23:46:59 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:38:39 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.